<?php


class Conexao{


	// conexão com PDO
	private $pdo;
	public function __construct(){


			try{
				$pdo= new PDO("mysql:dbname=crud;host=localhost", "root", "");
				$this->pdo = $pdo;

			}catch(PDOException $e){
				 echo "erro ao conectar com o baco de dados".$e->getMessage();

			}

	}

		public function buscarPessoas(){
			$sql = "SELECT * FROM pessoas";
			$query = $this->pdo->prepare($sql);
			$query->execute();
			if($query->rowCount() >0){
				return $query->fetchAll(PDO::FETCH_ASSOC);
			}
		}


		public function inserirPessoas($nome,$email,$telefone){
			$Sql = "INSERT INTO  pessoas(nome,email,telefone) VALUES (:nome,:email,:telefone)";
			$query = $this->pdo->prepare($Sql);
			$query->bindValue(':nome', $nome);
			$query->bindValue(':email', $email);
			$query->bindValue(':telefone', $telefone);
			$query->execute();
			if ($query->execute()) {
				
			  return $this->pdo->lastInsertId();
			}
			
		}

		public function excluirPessoas($id){
			$Sql = "DELETE FROM pessoas WHERE id = :id";
			$query = $this->pdo->prepare($Sql);
			$query->bindValue(":id", $id);
			$query->execute();

			$Sql = "SELECT * FROM pessoas WHERE id = :id";
			$query = $this->pdo->prepare($Sql);
			$query->bindValue(':id',$id);
			$query->execute();
			
			if ($query->rowCount() === 0) {
				return true;
			} else {
				return false;
			}
	}

		public function editarPessoas($nome,$email,$telefone, $id){
			$Sql = "UPDATE pessoas SET nome = :nome, telefone = :telefone, email = :email WHERE id = :id";
			$query = $this->pdo->prepare($Sql);
			$query->bindValue(':nome',$nome);
            $query->bindValue(':telefone',$telefone);
            $query->bindValue(':email',$email);
            $query->bindValue(':id', $id);
            $query->execute();

        return true;
    }




		
		public function SelecionarPessoas($id){

			$Sql = "SELECT * FROM pessoas WHERE id = :id";
			$query = $this->pdo->prepare($Sql);
			$query->bindValue(":id", $id);
			$query->execute();

			if ($query->rowCount() > 0) {
				return $query->fetch(PDO::FETCH_ASSOC);
			}



		}
}




?>