<?php
  session_start();
  require_once "classes/conexao.php";
 

  $bd = new Conexao();
  $pessoas = $bd->buscarPessoas();
  


?>

<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" type="text/css" href="assets/css/bootstrap.min.css">
    <title>sistema de crud </title>
  </head>
  <body>
        

          <div class="customer   py-5 ">
              <div class="container">
                  <div class="row">
                    <div class="col-6">
                    <?php if (isset($_SESSION['msg'])): ?>
                      <div class="alert alert-<?=$_SESSION['msg']['type'];?>">
                        <?= $_SESSION['msg']['messagem']; ?>
                        <?php  unset($_SESSION['msg'])   ?>
                      </div>
                    <?php endif; ?>
                      <form method="POST" action="inserir.php">
                        <h2>cadastrar pessoas</h2>
                        <div class="form-group mt-3">
                          <label >Digite aqui o seu nome:</label>
                                <input type="text" class="form-control" name="nome" placeholder="digite o seu nome">
                        </div> 
                          <div class="form-group mt-3">
                                <label for="" > digite aqui o seu email:</label>
                                <input type="email" class="form-control" name="email" placeholder="digite o seu emial">
                          </div>       
                            <div class="form-group mt-3">
                              <label for="exanplenumero">Digite aqui o seu numero:</label>
                               <input class="form-control" type="text" name="telefone" placeholder="digite o seu numero">

                            </div>
                                 <button type="submit" class="btn btn-primary mt-3" name="entrar">Cadastrar</button>

                      </form>
                    </div>

                      <div class="col-6 md-6" >
                        <table class="table">
                        
                          <thead>
                                <tr>
                                  <th scope="col">nome</th>
                                  <th scope="col">email</th>
                                  <th scope="col">telefone</th>
                                
                                </tr>
                              </thead>
                              <tbody>
                              <?php if(isset($pessoas) && !empty($pessoas)): ?>
                                <?php  foreach($pessoas as $pessoa): ?>
                                <tr>
                                  <td><?= $pessoa['nome']; ?></td>
                                  <td><?= $pessoa['email']; ?></td>
                                  <td><?= $pessoa['telefone']; ?></td>
                                  <td>
                                  <a href="editar.php?id=<?=$pessoa['id']?>">Editar</a> 
                                  <a href="excluir.php?id=<?=$pessoa['id']?>">Excluir</a>
                                  
                                  </td>
                                </tr>
                                <?php endforeach; ?>
                              <?php endif; ?>
                              </tbody>
                        </table>


                      </div>
                </div>
                

              </div>
           </div>



    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js" integrity="sha384-b5kHyXgcpbZJO/tY9Ul7kGkf1S0CWuKcCD38l8YkeH8z8QjE0GmW1gYU5S9FOnJ0" crossorigin="anonymous"></script>
  </body>
</html>