<?php

    require_once 'classes/Conexao.php';

    $bd = new Conexao();

    $id = filter_input(INPUT_GET,'id',FILTER_VALIDATE_INT);

       
    if (isset($id) && !empty($id)) {
        $dados = $bd->SelecionarPessoas($id);

        if (empty($dados)) {
            header('Location:index.php');
        }
    }
    if (isset($_POST['salvar'])) {
        $nome = filter_input(INPUT_POST,'nome',FILTER_SANITIZE_STRING);
        $email = filter_input(INPUT_POST,'email',FILTER_SANITIZE_STRING);
        $telefone = filter_input(INPUT_POST,'telefone',FILTER_SANITIZE_STRING);
        $bd->editarPessoas($nome,$email,$telefone,$id);
       
        header('Location:index.php');
        
     }
        
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" type="text/css" href="assets/css/bootstrap.min.css">
    <title>Salvar</title>
</head>
<body>
            <div class="customer   py-5 ">
                 <div class="container">
                    <div class="row">
                    <div class="col-6">
                <form method="POST" action="editar.php?id=<?=$dados['id']?>">
                        <h2>cadastrar pessoas</h2>
                        <div class="form-group mt-3">
                          <label >Digite aqui o seu nome:</label>
                                <input type="text" class="form-control" value="<?=$dados['nome']?>" name="nome" placeholder="digite o seu nome">
                        </div> 
                          <div class="form-group mt-3">
                                <label for="" > digite aqui o seu email:</label>
                                <input type="email" class="form-control" name="email" value="<?=$dados['email']?>" placeholder="digite o seu emial">
                          </div>       
                            <div class="form-group mt-3">
                              <label for="exanplenumero">Digite aqui o seu numero:</label>
                               <input class="form-control" type="text" name="telefone" value="<?=$dados['telefone']?>" placeholder="digite o seu numero">

                            </div>
                                 <button type="submit" class="btn btn-primary mt-3" name="salvar">salvar</button>

                      </form>
</body>
</html>